<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;

class crm00060000CapanhaTarefaController extends TeknisaCrud
{
	protected $dataSourceName = 'crm_campanhatarefa_quantidadeTarefas';
	protected $dataSourceNameToSave = 'crm_campanhatarefa';
	protected $parameterBagColumns = array("IDTPOPERADOR", "NRREVENDA", "NRORG", "CRM_NRORGTRAB");
	protected $crm00060000CapanhaTarefaService;
	protected $newCode;
	protected $environment;

	public function __construct($crudService, $parameterBag, $newCode, $crm00060000CapanhaTarefaService, $environment){
		
		$this->newCode = $newCode;
		$this->crm00060000CapanhaTarefaService = $crm00060000CapanhaTarefaService;
		$this->environment = $environment;
		
		parent::__construct($crudService, $parameterBag);
	}
	
	public function save(Request $request, Response $response){
		
		$row = $request->getRow();
		$row['NRSEQCAMPANHA'] = $this->newCode->getCodeByTableName('CRM_CAMPANHATAREFA', $this->environment->getNrOrgTrab());

		parent::save($request, $response);
		
		$response->addDataSet(new DataSet('DATA', array("NRSEQCAMPANHA" => $row['NRSEQCAMPANHA'])));
		
	}
}
